player_position3d_data Struct Reference

Data: state (PLAYER_POSITION3D_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pos
| (x, y, z, roll, pitch, yaw) position [m, m, m, rad, rad, rad]
player_pose3d_t | vel
| (x, y, z, roll, pitch, yaw) velocity [m, m, m, rad, rad, rad]
uint8_t | stall
| Are the motors stalled?

## Detailed Description

Data: state (PLAYER_POSITION3D_DATA_STATE)

This interface returns data regarding the odometric pose and velocity of the robot, as well as motor stall information.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45